%define prefix /usr/X11R6

Summary: A window manager for X.
Name: blackbox
Version: 0.51.3.1
Release: 7
Copyright: GPL
Group: User Interface/Desktops
URL: http://blackbox.alug.org/ 
Source: ftp://portal.alug.org/pub/blackbox/0.5x.x/blackbox-%{version}.tar.bz2
Patch0: blackbox-0.51.3.1-implicit.patch
Patch1: menu.in.patch
BuildRoot: %{_tmppath}/%{name}-root

%description
Blackbox is a window managers for the X Window System. Blackbox is
written in C++ and doesn't share any common code with any other window
manager. However, the graphics implementation is similar to
WindowMaker's. Blackbox feature include a small code base, minimal
resource usage, a fast and simple interface, a built-in graphics
class, near complete ICCM compliance, and support for multiple desktop
environments.

%prep
%setup -q
%patch0 -p1 -b .implicit
%patch1 -p1
autoheader
autoconf

%build
%configure --enable-kde --prefix=%{prefix} --bindir=%{prefix}/bin --datadir=%{prefix}/share
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

strip $RPM_BUILD_ROOT%{prefix}/bin/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog ChangeLog-0.50.x GPL-2.0 NEWS README TODO
%doc data/README.menu data/README.style 
%{prefix}/bin/blackbox
%{prefix}/bin/bsetroot
%{prefix}/share/Blackbox

%changelog
* Thu Aug 10 2000 Tim Powers <timp@redhat.com>
- fixed bad menu item reported in bug #15907

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 03 2000 Nalin Dahyabhai <nalinredhat.com>
- patch to fix implicit declarations

* Wed May 3 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0
- cleaned up files list
- got rid of all the braindead defines at top of spec
- using percent configure instead of ./configure

* Fri Oct 29 1999 Tim Powers <timp@redhat.com>
- updated source to 0.51.3.1
- quiet setup

* Tue Aug 17 1999 Tim Powers <timp@redhat.com>
- fixed prob with removing directories when uninstalling

* Wed Aug 4 1999 Tim Powers <timp@redhat.com>
- created spec, built for inclusion into Powertools
